import hilog from '@ohos.hilog';
import BuildProfile from '../../../../BuildProfile';
const UP_LOGGER_PREFIX = 'UPPayment DebugInfo';
class UPLogger {
    constructor(f10 = '', g10 = 0xFF00) {
        this.format = '%{public}s';
        this.prefix = f10;
        this.domain = g10;
    }
    debug(...e10) {
        if (BuildProfile.DEBUG) {
            hilog.debug(this.domain, this.prefix, this.format, e10);
        }
    }
    info(...d10) {
        if (BuildProfile.DEBUG) {
            hilog.info(this.domain, this.prefix, this.format, d10);
        }
    }
    warn(...c10) {
        if (BuildProfile.DEBUG) {
            hilog.warn(this.domain, this.prefix, this.format, c10);
        }
    }
    error(...b10) {
        if (BuildProfile.DEBUG) {
            hilog.error(this.domain, this.prefix, this.format, b10);
        }
    }
}
export default new UPLogger(UP_LOGGER_PREFIX);
